LEOCAD(1)

NAME
LeoCAD - CAD program for LEGO models.

SYNOPSIS
leocad [OPTIONS] [INFILE]

DESCRIPTION
LeoCAD is a CAD program for creating virtual LEGO models. It has an easy to use interface and includes thousands of different parts in its library.

OPTIONS
Below is a summary of all of the options that LeoCAD accepts. Many options have two equivalent names, one of which is a single letter preceded by -, and the other of which is a long name preceded by --. Brackets ([ and ]) indicate that an option takes an optional parameter.

infile
    Loads the project file infile

-l path, --libpath path
    Set the parts library location.

-i [outfile.ext], --image [outfile.ext]
    Saves a picture to outfile.ext in the image format specified by ext and exits. If outfile is not given then the program will use a name based on infile. The file format is selected by ext and can be gif, bmp, png or jpg (if ext is not present then the default preferences format will be used).

-w width, --width width
    Sets the width of the picture to width.

-h height, --height height
    Sets the height of the picture to height.

-f time, --from time
    Start saving pictures at the step time. Steps start at 1.

-t time, --to time
    Save pictures until the step time.

-s submodel, --submodel submodel
    Sets the active submodel to submodel.

-c camera, --camera camera
    Sets the active camera to camera.

-ss id, --stud-style id
    Set the stud style. Valid values 0=Plain, 1=Thin Lines Logo, 2=Outline Logo, 3=Sharp Top Logo, 4=Rounded Top Logo, 5=Flattened Logo, 6=High Contrast, 7=High Contrast with Logo.

--viewpoint front | back | left | right | top | bottom | home
    Sets the viewpoint to one of the predefined view angles.

--camera-angles latitude longitude
    Set the camera angles in degrees around the model.

--camera-position x y z  tx ty tz  ux uy uz
    Set the camera position, target and up vector using the LeoCAD coordinate system.

--camera-position-ldraw x y z  tx ty tz  ux uy uz
    Set the camera position, target and up vector using the LDraw coordinate system.

--orthographic
    Use an orthographic projection.

--fov degrees
    Set the vertical field of view used to render images.

--zplanes near far
    Set the near and far clipping planes used to render images (1 <= near < far).

--fade-steps
    Render parts from prior steps faded.

--no-fade-steps
    Do not render parts from prior steps faded.

--fade-steps-color color
    Color to use for rendering faded parts. (#AARRGGBB where AA, RR, GG, and BB are hexadecimal values for alpha, red, green, and blue respectively.)

--highlight
    Highlight parts in the steps they appear.

--no-highlight
    Do not highlight parts in the steps they appear.

--highlight-color color
    Color to use to highlight parts, (#AARRGGBB where AA, RR, GG, and BB are hexadecimal values for alpha, red, green, and blue respectively.)

--shading wireframe | flat | default | full
    Select shading mode for rendering.

--line-width width
    Set the width of the edge lines.

--aa-samples count
    AntiAliasing sample size (1, 2, 4, or 8).

-scc #AARRGGBB, --stud-cylinder-color #AARRGGBB
    High contrast stud cylinder color.

-ec #AARRGGBB, --edge-color #AARRGGBB
    High contrast edge color.

-bec #AARRGGBB, --black-edge-color #AARRGGBB
    High contrast edge color for black parts.

-dec #AARRGGBB, --dark-edge-color #AARRGGBB
    High contrast edge color for dark color parts.

-aec, --automate-edge-color
    Enable automatically adjusted edge colors.

-cc float, --color-contrast loat
    Set the near and far clipping planes used to render images (1 <= near < far).

-ldv float, --light-dark-value loat
    Set the value to indicate a light or dark color.

-obj [outfile.obj]
    Exports the model to wavefront format.

-3ds [outfile.3ds]
    Exports the model to 3DS format.

-dae [outfile.dae]
    Exports the model to COLLADA DAE format.

-html [path]
    Creates an HTML page for the model.

-v, --version
    Output version information and exit.

-?, --help
    Display a brief usage synopsis and exit.

ENVIRONMENT
``LEOCAD_LIB'' may be set to the path of the parts library.

EXAMPLES

 $ leocad car.lcd -i car.png -w 640 -h 480

This will start LeoCAD, load the file "car.lcd," create a png called "car.png" with a resolution of 640x480 and exit when done.

FILES

~/.config/LeoCAD Software/LeoCAD.conf
    User preferences file

BUGS
If you find any bugs please report them at https://github.com/leozide/leocad/issues

AUTHOR
LeoCAD is written by Leonardo Zide <leozide@gmail.com>. You can visit the LeoCAD homepage at https://www.leocad.org/ This manual page was originally written by Patrick Mahoney <pat7@gmx.net>, for the Debian GNU/Linux system (but may be used by others). It has since been edited by others.